# $Revision: 1.81 $, $Date: 2012/02/08 12:46:35 $
Summary:	Clone of across/elma games
Summary(pl.UTF-8):	Klon gry across/elma
Name:		xmoto
Version:	0.5.9
Release:	2
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://download.tuxfamily.org/xmoto/xmoto/%{version}/%{name}-%{version}-src.tar.gz
# Source0-md5:	d8d6b7a405139530650b8a9ae2ea6df3
Source1:	%{name}.png
Source2:	%{name}.desktop
Patch0:		%{name}-lua51.patch
Patch1:		%{name}-includes.patch
URL:		http://xmoto.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	curl-devel
BuildRequires:	gettext-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	libxdg-basedir-devel >= 1.1.1-2
BuildRequires:	lua51-devel
BuildRequires:	ode-devel >= 1:0.11
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X-Moto is a challenging 2D motocross platform game, where physics play
an all important role in the gameplay. You need to control your bike
to its limit, if you want to have a chance finishing the more
difficult of the challenges.

First you'll try just to complete the levels, while later you'll
compete with yourself and others, racing against the clock.

%description -l pl.UTF-8
X-Moto jest wyzywającą motocrossową dwuwymiarową grą platformową,
gdzie fizyka ma w rozgrywce główną rolę. Panowanie nad motorem musi
być jak najbardziej wyżyłowane, jeżeli chce się myśleć o ukończeniu
trudniejszych poziomów.

Z początku po prostu zalicza się poziomy, później walczy się z
wynikami, swoimi i innych, w wyścigu z czasem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# fix some translations
%{__sed} -i -e 's/lv_LV/lv/g;s/da_DK/da/g;s/gl_ES/gl/g;s/pt_PT/pt/g;s/tr_TR/tr/g' configure.in
mv -f po/lv{_LV,}.po
mv -f po/da{_DK,}.po
mv -f po/gl{_ES,}.po
mv -f po/pt{_PT,}.po
mv -f po/tr{_TR,}.po

# don't run svnversion
touch src/svnVersion

%build
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/ca{_ES,}
# identical to ca_ES
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ca_{AD,FR,IT}*
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/cs{_CZ,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/de{_DE,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/es{_ES,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/fi{_FI,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/fr{_FR,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/hu{_HU,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/it{_IT,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/lt{_LT,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/nb{_NO,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/nl{_NL,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/nn{_NO,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/pl{_PL,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/ru{_RU,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sk{_SK,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sv{_SE,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/xmoto
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop
%{_mandir}/man6/xmoto.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmoto.spec,v $
Revision 1.81  2012/02/08 12:46:35  adamg
- fix build against libpng1.5; release 2

Revision 1.80  2012/02/03 09:14:30  lisu
- up to 0.5.9

Revision 1.79  2011/12/20 19:41:16  arekm
- release 2

Revision 1.78  2011/04/28 12:24:46  lisu
- updated to 0.5.7
- versioned libxdg-basedir BR

Revision 1.77  2011/02/15 15:45:56  lisu
- up to 0.5.5

Revision 1.76  2010/12/10 13:15:55  lisu
- gl_ES -> gl
- rel 2

Revision 1.75  2010/12/10 12:14:45  lisu
- builds on 64 bits

Revision 1.74  2010/12/10 12:05:42  lisu
- up to 0.5.4
- cosmetics

Revision 1.73  2010/05/04 13:58:00  lisu
- proper comment

Revision 1.72  2010/05/04 13:51:22  lisu
- updated to 0.5.3
- add missing BRs: libxdg-basedir-devel, sed
- builds with ode >= 1:0.11
- gcc.patch applied upstream

Revision 1.71  2010/02/16 19:25:55  ankry
- no longer no in sources

Revision 1.70  2010/01/29 22:34:56  arekm
- rel 4; x86_64 build fix

Revision 1.69  2010/01/28 18:42:42  arekm
- rel 3; libpng fix

Revision 1.68  2010/01/28 18:19:03  amateja
- release 2

Revision 1.67  2009/09/14 11:21:36  lisu
- TODO item

Revision 1.66  2009/09/14 11:03:30  lisu
- fix sed syntax

Revision 1.65  2009/09/14 10:58:51  lisu
- up to 0.5.2
- tr_TR -> tr

Revision 1.64  2009/07/14 19:45:14  arekm
- rel 4; builds

Revision 1.63  2009/07/12 13:31:12  arekm
- release 3

Revision 1.62  2009/07/10 19:53:33  arekm
- release 2

Revision 1.61  2009/04/16 07:08:06  lisu
- up to 0.5.1
- use sed macro

Revision 1.60  2009/01/25 20:36:43  ankry
- OOPS

Revision 1.59  2009/01/25 20:34:11  ankry
- more appropriate comment

Revision 1.58  2009/01/25 19:36:14  arekm
- rel 3; locale fixes

Revision 1.57  2009/01/21 21:16:41  arekm
- release 2

Revision 1.56  2008/11/29 18:07:59  wolf
- remove wrong patch
- force upgrade to newest ode

Revision 1.55  2008/11/29 15:24:19  wolf
- 0.5.0

Revision 1.54  2008/11/06 16:35:10  megabajt
- added -initode.patch (fixes crash)
- release 5

Revision 1.53  2008/09/01 12:43:04  arekm
- release 4

Revision 1.52  2008/08/27 22:17:24  glen
- release 3 (libode soname)

Revision 1.51  2008/08/09 22:25:05  arekm
- release 2

Revision 1.50  2008-03-22 17:46:07  wolf
- 0.4.2

Revision 1.49  2008-02-09 00:15:51  qboosh
- avoid subversion dependency

Revision 1.48  2008-02-08 13:01:17  sls
- BR: subversion

Revision 1.47  2008-02-07 21:11:06  wolf
- 0.4.0

Revision 1.46  2007-12-25 10:01:34  sls
- lua51.patch in, libs.patch out
- BR: lua51-devel (s/lua50/lua51/)

Revision 1.45  2007-12-24 08:46:15  glen
- rel 2 (- rebuild with commited locale fixes)

Revision 1.44  2007-11-11 17:23:34  adamg
- more locale fixes

Revision 1.43  2007/10/19 16:54:07  wolf
- 0.3.4

Revision 1.42  2007/09/02 16:26:50  wolf
- 0.3.3

Revision 1.41  2007/08/23 13:57:02  adamg
- fix lv translation (lv_LV->lv); release 2

Revision 1.40  2007/08/04 13:18:10  wolf
- 0.3.2

Revision 1.39  2007/07/10 17:09:22  twittner
- rel. 3 (previous build failed)

Revision 1.38  2007/06/22 18:50:21  sparky
- 6c ? some garbage

Revision 1.37  2007/06/22 17:50:53  ankry
- locale hopefuly fixed, rel. 2

Revision 1.36  2007/06/21 21:44:02  wolf
- BR sqlite3-devel

Revision 1.35  2007/06/21 21:33:39  adasi
- up to 0.3.0

Revision 1.34  2007/04/17 21:14:49  megabajt
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl)
- release 2

Revision 1.33  2007/03/18 21:49:52  wolf
- 0.2.7

Revision 1.32  2007/03/05 01:32:18  adamg
- updated to 0.2.6
- man page from tarball is broken - replace it with a better one

Revision 1.31  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.30  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.29  2006/12/24 12:30:49  wolf
- 0.2.4

Revision 1.28  2006/12/03 20:49:28  wolf
- rel 2

Revision 1.27  2006/11/24 14:12:57  darekr
- BR: libpng-devel,libjpeg-devel

Revision 1.26  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.25  2006/10/08 11:23:14  qboosh
- use existing mandir

Revision 1.24  2006/10/03 21:09:19  wolf
- 0.2.2

Revision 1.23  2006/09/16 00:06:19  wolf
- 0.2.1

Revision 1.22  2006/08/06 16:33:26  sparky
- added libs patch: --as-needed fixed instead of disabling it

Revision 1.21  2006/08/05 21:07:11  sparky
- convert no_build_with_as_needed 1 to filterout_ld -Wl,--as-needed

Revision 1.20  2006/07/28 17:16:51  wolf
- rel 2

Revision 1.19  2006/07/28 16:37:04  wolf
- BR: OpenGL-GLU-devel

Revision 1.18  2006/07/28 15:32:25  wolf
- 0.2.0

Revision 1.17  2006/06/16 21:07:24  wolf
- 0.1.16

Revision 1.16  2006/05/21 14:34:25  wolf
- more docs

Revision 1.15  2006/05/21 14:17:36  wolf
- BR: curl-devel

Revision 1.14  2006/05/21 07:30:53  qboosh
- unified sf URL

Revision 1.13  2006/05/20 21:52:53  krystian
- up to 0.1.14
  What about add optional R curl-libs for online high-score system?

Revision 1.12  2006/04/13 07:15:26  rotom
- up to 0.1.12
- removed obsolete patch

Revision 1.11  2006/02/06 17:15:51  wolf
- 0.1.11

Revision 1.10  2005/12/03 13:49:35  wolf
- 0.1.10

Revision 1.9  2005/11/09 21:42:05  wolf
- added icon and desktop file

Revision 1.8  2005/11/07 17:38:31  wolf
- 0.1.8

Revision 1.7  2005/10/27 17:02:10  wolf
- 0.1.7

Revision 1.6  2005/10/07 12:07:05  wolf
- compile with shared ode and lua
- pass OPTFLAGS to make

Revision 1.5  2005/10/07 11:23:56  wolf
- 0.1.6

Revision 1.4  2005/10/07 08:08:34  qboosh
- release 2

Revision 1.3  2005/10/07 08:05:50  qboosh
- added opt,types patches

Revision 1.2  2005/10/05 19:35:41  wolf
- md5

Revision 1.1  2005/10/05 19:24:40  wolf
- new
